package spi;
import java.text.DateFormat;
import java.util.Date;
import java.util.Locale;

public class AntarcticaLocaleDemo {

    public static void main(String[] args) {
        // Display all available locales, 
        // note there is a new locale named en_AQ
        System.out.println("Available locales:");
        Locale[] locales = Locale.getAvailableLocales();
        for (Locale locale : locales) {
            System.out.println(locale);
        }
        System.out.println("");
		
        // Current time
        Date now = new Date();

        // Display using the default locale format
        DateFormat defaultFormat = DateFormat.getDateTimeInstance();
        String defaultString = defaultFormat.format(now);
        System.out.println("Default   : " + defaultString);

        // Display using the Antarctica locale format
        DateFormat antarcticaFormat = DateFormat.getDateTimeInstance(
                DateFormat.FULL, DateFormat.FULL, 
                new Locale("en", "AQ"));

        String antarcticaString = antarcticaFormat.format(now);
        System.out.println("Antarctica: " + antarcticaString);
    }
}
